#
# Conditional build:
%bcond_with	tests		# test suite

%define		kdeappsver	25.04.0
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kasts
Summary:	Convergent podcasts application
Summary(pl.UTF-8):	Dostosowująca się aplikacja do podkastów
Name:		ka6-%{kaname}
Version:	25.04.0
Release:	1
License:	BSD 2 Clause/BSD 3 Clause/GPL v2+/GPL v3+/LGPL v2.0+
Group:		X11/Applications
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	964d7c08d80dcb7cfe7337b9dcf76694
URL:		https://apps.kde.org/kasts/
BuildRequires:	Qt6Core-devel
BuildRequires:	Qt6DBus-devel
BuildRequires:	Qt6Gui-devel
BuildRequires:	Qt6Keychain-devel
BuildRequires:	Qt6Multimedia-devel
BuildRequires:	Qt6Network-devel >= 5.15.10
BuildRequires:	Qt6Qml-devel >= 5.15.10
BuildRequires:	Qt6Quick-devel
BuildRequires:	Qt6Sql-devel
BuildRequires:	Qt6Svg-devel
BuildRequires:	Qt6Test-devel
BuildRequires:	Qt6Widgets-devel
BuildRequires:	Qt6Xml-devel >= 5.15.2
BuildRequires:	gettext-devel
BuildRequires:	kf6-extra-cmake-modules >= 5.102.0
BuildRequires:	kf6-kconfig-devel >= 5.102.0
BuildRequires:	kf6-kcoreaddons-devel >= 5.102.0
BuildRequires:	kf6-ki18n-devel >= 5.102.0
BuildRequires:	kf6-kirigami-addons-devel >= 0.7
BuildRequires:	kf6-kirigami-devel >= 5.102.0
BuildRequires:	kf6-syndication-devel >= 5.102.0
BuildRequires:	kf6-threadweaver-devel >= 5.102.0
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	shared-mime-info
BuildRequires:	taglib-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	vlc-devel
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Obsoletes:	ka5-kasts < 24
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kasts is a convergent podcast application.

%description -l pl.UTF-8
Kasts to dostosowująca się aplikacja do podkastów.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DQT_MAJOR_VERSION=6

%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post

%postun
%update_desktop_database_postun

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kasts
%attr(755,root,root) %{_libdir}/libKMediaSession.so
%dir %{_libdir}/qt6/qml/org/kde/kmediasession
%{_libdir}/qt6/qml/org/kde/kmediasession/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/kmediasession/kmediasessionqmlplugin.qmltypes
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/kmediasession/libkmediasessionqmlplugin.so
%{_libdir}/qt6/qml/org/kde/kmediasession/qmldir
%{_desktopdir}/org.kde.kasts.desktop
%{_iconsdir}/hicolor/scalable/actions/media-playback-cloud.svg
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/metainfo/org.kde.kasts.appdata.xml
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-kasts.git;a=log;h=master

* Thu Apr 24 2025 Witold Filipczyk <witekfl@poczta.onet.pl> a930572
- update_desktop_database

* Thu Apr 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> c68d995
- updated to 25.04.0

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 721341d
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 9d153eb
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 033759e
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6015a33
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b29f8de
- updated to 24.08.3

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> 4b9f8c0
- pl, cleanup

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> b3c8b57
- macros for ninja

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> 11df78a
- updated kirigami-addons package name

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 85c2377
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b0d8729
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4295b59
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a114053
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c30a910
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9a404c8
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 59967f1
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c101077
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a973750
- updated to 24.02.0

